function tick() {
    var TARGET_DATE = new Date("2024-02-29T18:00:00");
    var now = Date.now();

    var till = TARGET_DATE - now;

    var mss = 1000;
    var msm = mss * 60;
    var msh = msm * 60;
    var msd = msh * 24

    document.getElementById("counter").innerHTML = 
        "Only " + Math.floor(till / msd) + " d "
        + Math.floor(till % msd / msh) + " h "
        + Math.floor(till % msh / msm) + " m "
        + Math.floor(till % msm / mss) + " s "
        + " until Instansi!";
}

function main() {
    btn = document.getElementById("btn");
    document.body.removeChild(btn);

    message = document.createElement("DIV");
    message.id = "message";
    message.innerHTML = "HEY ALL JUMALAUTTA PEOPLE PLEASE COME TO INSTANSSI 2024 AT JYVÄSKYLÄ FINLAND 29.2.-3.3. TICKETS ON SALE RIGHT NOW AT INSTANSSI.ORG";
    
    counter = document.createElement("DIV");
    counter.id = "counter";

    sun = document.createElement("IMG");
    sun.id = "sun";
    sun.src = "SUN.PNG";

    bus = document.createElement("IMG");
    bus.id = "bus";
    bus.src = "BUS.png";

    document.body.appendChild(message);
    document.body.appendChild(counter);
    document.body.appendChild(sun);
    document.body.appendChild(bus);

    document.getElementById("musa").play();

    window.setInterval(tick, 1000);
}